// Klopfsensor-Auswertung ber Texas Instruments TPIC8101.
// Der Sensor wird ber SPI digital parametriert und digital ausgelesen.
// Die Messwerte werden bei 9600 baud 8n1 ber die serielle Schnittstelle ausgegeben.
//
// CPU:						ATmega8
// Takt:					14,7456 MHz
// 
// Programmierer: Peter Diener
// 2010



#include "MAIN.h"



static FILE uart_stream = FDEV_SETUP_STREAM(uputchar0, ugetchar0, _FDEV_SETUP_RW);



int main(void)
{
	unsigned int knockvalue;

	stdout = stdin = &uart_stream;
	init_uart0(115200);
  sei();
  SPI_init();
	TPIC_init();


	while(1)
	{
		knockvalue = TPIC_get_knock_value();
		printf("Klopfwert: %4u    \r", knockvalue);
		_delay_ms(10);
	}

	return 0;
}
