// SPI Treiber fr ATmega8
//
// Programmierer:		Peter Diener
// 2010



#include <avr/io.h>

#include "SPI.h"



// SPI initialisieren
// MSB first
// Sample at falling edge of SCK
// Setup at rising edge of SCK
// SCK idle low
void SPI_init(void)
{
	DDR_SPI = (1<<Pin_MOSI)|(1<<Pin_SCK)|(1<<Pin_SS); 	// SS, MOSI und SCK sind Ausgnge
	SPCR = (1<<SPE)|(1<<MSTR)|(1<<SPR0)|(1<<CPHA);			// Master, FCPU/16, SPI einschalten, Mode 1
}



unsigned char SPI_transfer (unsigned char data)
{
	SPDR = data;										// Daten senden
	while(!(SPSR & (1<<SPIF))) {}		// Warte, bis Daten gesendet sind
	return SPDR;										// Empfangene Daten auslesen
}
